LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XConditionalFormat Interface Reference

`import"XConditionalFormat.idl";`

Inheritance diagram for XConditionalFormat:

## Public Member Functions
void | createEntry ([in] long Type, [in] long Position)
| Creates a new conditional format entry and insert its at the position. More...
void | removeByIndex ([in] long Index)
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ createEntry()

void createEntry | ( | [in] long | Type,
|  | [in] long | Position
| ) |  |

Creates a new conditional format entry and insert its at the position.

Parameters

  Type | a com.sun.star.sheet.ConditionEntryType specifying the type of the new entry
  Position | the position in the conditional format

## ◆ removeByIndex()

void removeByIndex | ( | [in] long | Index | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XConditionalFormat.idl